Extending Qt Creator Manual | IAssistProposalModel

Extending Qt Creator Manual 4.5.2

# IAssistProposalModel Class

(TextEditor::IAssistProposalModel)

The IAssistProposalModel class acts as an interface for representing proposals. More...

Header: | #include <IAssistProposalModel>

- List of all members, including inherited members

## Public Functions

| IAssistProposalModel()
virtual | ~IAssistProposalModel()
virtual void | reset() = 0
virtual int | size() const = 0
virtual QString | text(int index) const = 0

## Detailed Description

The IAssistProposalModel class acts as an interface for representing proposals.

Known implenters of this interface are IFunctionHintProposalModel and GenericProposalModel. The former is recommeded to be used when assisting function calls constructs (overloads and parameters) while the latter is quite generic so that it could be used to propose snippets, refactoring operations (quickfixes), and contextual content (the member of class or a string existent in the document, for example).

This is class is part of the CodeAssist API.

## Member Function Documentation

### IAssistProposalModel::IAssistProposalModel()

Default constructs an instance of IAssistProposalModel.

### `[virtual]` IAssistProposalModel::~IAssistProposalModel()

Destroys the instance of IAssistProposalModel. The destructor is virtual.

### `[pure virtual]` void IAssistProposalModel::reset()

### `[pure virtual]` int IAssistProposalModel::size() const

### `[pure virtual]` QString IAssistProposalModel::text(int index) const